#ifndef ATL_INSTINFO_H
   #define ATL_INSTINFO_H

#define ATL_ARCH "POWER864LE"
#define ATL_INSTFLAGS "-1 0 -a 1 -l 1"
#define ATL_F2CDEFS "-DAdd_ -DF77_INTEGER=int -DStringSunStyle"
#define ATL_ARCHDEFS "-DATL_OS_Linux -DATL_ARCH_POWER8 -DATL_USE64BITS -DATL_GAS_PPC"
#define ATL_DKCFLAGS "-O2 -mvsx -mcpu=power8 -mtune=power8 -mvrsave -funroll-all-loops -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fpermissive -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now"
#define ATL_DKC "/usr/bin/gcc"
#define ATL_SKCFLAGS "-O2 -mvsx -mcpu=power8 -mtune=power8 -mvrsave -funroll-all-loops -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fpermissive -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now"
#define ATL_SKC "/usr/bin/gcc"
#define ATL_DMCFLAGS "-O2 -mvsx -mcpu=power8 -mtune=power8 -mvrsave -funroll-all-loops -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fpermissive -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now"
#define ATL_DMC "/usr/bin/gcc"
#define ATL_SMCFLAGS "-O2 -mvsx -mcpu=power8 -mtune=power8 -mvrsave -funroll-all-loops -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fpermissive -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now"
#define ATL_SMC "/usr/bin/gcc"
#define ATL_ICCFLAGS "-DL2SIZE=33554432 -I/builddir/build/BUILD/atlas-3.10.3-build/ATLAS/ppc64le_base/include -I/builddir/build/BUILD/atlas-3.10.3-build/ATLAS/ppc64le_base/..//include -I/builddir/build/BUILD/atlas-3.10.3-build/ATLAS/ppc64le_base/..//include/contrib -DAdd_ -DF77_INTEGER=int -DStringSunStyle -DATL_OS_Linux -DATL_ARCH_POWER8 -DATL_USE64BITS -DATL_GAS_PPC -DWALL -DATL_NCPU=2 -O2 -mvsx -mcpu=power8 -mtune=power8 -mvrsave -funroll-all-loops -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -"
#define ATL_ICC "/usr/bin/gcc"
#define ATL_F77FLAGS "-O2 -mvsx -mcpu=power8 -mtune=power8 -mvrsave -funroll-all-loops -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fpermissive -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now"
#define ATL_F77 "/usr/bin/gfortran"
#define ATL_DKCVERS "gcc (GCC) 14.2.1 20241104 (Red Hat 14.2.1-6)"
#define ATL_SKCVERS "gcc (GCC) 14.2.1 20241104 (Red Hat 14.2.1-6)"
#define ATL_DMCVERS "gcc (GCC) 14.2.1 20241104 (Red Hat 14.2.1-6)"
#define ATL_SMCVERS "gcc (GCC) 14.2.1 20241104 (Red Hat 14.2.1-6)"
#define ATL_ICCVERS "gcc (GCC) 14.2.1 20241104 (Red Hat 14.2.1-6)"
#define ATL_F77VERS "GNU Fortran (GCC) 14.2.1 20241104 (Red Hat 14.2.1-6)"
#define ATL_SYSINFO "Linux 6fc12ee479d5412bab5c4466f5b6dab8 6.11.8-300.fc41.ppc64le #1 SMP Thu Nov 14 20:11:02 UTC 2024 ppc64le GNU/Linux"
#define ATL_DATE    "Tue Jan  7 15:54:16 UTC 2025"
#define ATL_UNAM    "mockbuild"
#define ATL_VERS    "3.10.3"

#endif
