#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,180,240,300,360,420,480,540,600,660,900,1800,3600
 * N : 25,180,240,300,360,420,480,540,600,660,900,1800,3600
 * NB : 9,9,24,24,32,32,72,40,40,76,60,60,120
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 210) (nb_) = 9; \
   else if ((n_) < 330) (nb_) = 24; \
   else if ((n_) < 450) (nb_) = 32; \
   else if ((n_) < 510) (nb_) = 72; \
   else if ((n_) < 630) (nb_) = 40; \
   else if ((n_) < 780) (nb_) = 76; \
   else if ((n_) < 2700) (nb_) = 60; \
   else (nb_) = 120; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
